%global gem_name cssmin

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}.3
Summary: Ruby library for minifying CSS
Group: Development/Languages
License: MIT
URL: https://github.com/rgrove/cssmin/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems) 
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby >= 1.8.6
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Ruby library for minifying CSS. Inspired by cssmin.js and YUI Compressor.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/




%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/LICENSE

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/HISTORY.md

%changelog
* Mon Sep 23 2013 Oleg Girko <ol@infoserver.lv> - 2.1.0
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
* Fri Jun 14 2013 Oleg Girko <ol@infoserver.lv> - 1.0.3-1
- Initial package
